For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTCreateSipRegistration
        • POSTUpdateSipRegistration
        • POSTBindSipRegistration
        • POSTDeleteSipRegistration
        • POSTGetSipRegistrations
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceSip Registration

CreateSipRegistration

||View as Markdown|
POST
https://api.voximplant.com/platform_api/CreateSipRegistration
POST
/platform_api/CreateSipRegistration
$curl -X POST "https://api.voximplant.com/platform_api/CreateSipRegistration?sip_username=john.doe&proxy=sip.example.com&auth_user=john.doe&outbound_proxy=outbound.sip.example.com&password=SecurePass123!&is_persistent=true&application_id=4567&rule_id=7890&user_id=12345" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Success
1{
2 "result": 1,
3 "sip_registration_id": 98765
4}
Creates a new SIP registration (the platform registers as a user on a 3rd party SIP server). There are two modes of SIP registration: <ol><li>Persistent registration, when the platform registers on a 3rd party SIP server as a user and the registration lasts until deleted (or there are network/technical issues with it — see the corresponding callback)</li><li>Non-persistent registration (set `is_persistent` to false) which is initiated only when the specificed user (with `user_id` or `user_name`) logs in via one of Voximplant SDKs. As soon the user logs off, the registration goes offline. This mode helps to implement SIP softphone-like apps using Voximplant’s SDKs.</li></ol> Please note that when you create a SIP registration, we reserve the subscription fee and taxes for the upcoming month. Read more in the <a href='/docs/gettingstarted/billing'>Billing</a> page. Allowed roles: `Owner`, `Admin`, `Accountant`. **Example request:** Create SIP registration.
Was this page helpful?
Previous

GetSipWhiteList

Next

UpdateSipRegistration

Built with

Creates a new SIP registration (the platform registers as a user on a 3rd party SIP server).

There are two modes of SIP registration:

  1. Persistent registration, when the platform registers on a 3rd party SIP server as a user and the registration lasts until deleted (or there are network/technical issues with it — see the corresponding callback)
  2. Non-persistent registration (set is_persistent to false) which is initiated only when the specificed user (with user_id or user_name) logs in via one of Voximplant SDKs. As soon the user logs off, the registration goes offline. This mode helps to implement SIP softphone-like apps using Voximplant’s SDKs.

Please note that when you create a SIP registration, we reserve the subscription fee and taxes for the upcoming month. Read more in the Billing page.

Allowed roles: Owner, Admin, Accountant.

Example request: Create SIP registration.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

sip_usernamestringRequired
The user name
proxystringRequired
The SIP proxy
auth_userstringOptional
The SIP authentications user
outbound_proxystringOptional
The outgoing SIP proxy
passwordstringOptional
The SIP password
is_persistentbooleanOptionalDefaults to true
Whether SIP registration is persistent. Set false to activate it only on the user login
application_idintegerOptional

The application ID which a new SIP registration is to be bound to. Can be used instead of the application_name parameter

application_namestringOptional

The application name which a new SIP registration is to be bound to. Can be used instead of the application_id parameter

rule_idintegerOptional

The rule ID which a new SIP registration is to be bound to. Can be used instead of the rule_name parameter

rule_namestringOptional

The rule name which a new SIP registration is to be bound to. Can be used instead of the rule_id parameter

user_idintegerOptional

The user ID which a new SIP registration is to be bound to. Can be used instead of the user_name parameter

user_namestringOptional

The user name which a new SIP registration is to be bound to. Can be used instead of the user_id parameter

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully
sip_registration_idinteger
The sip registration id
account_infoobject
The current account state
errorobject

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.